BentPlateGeometrySolverModifyRadius Method |
Modify the radius of a cylindrical section.
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
public ConnectiveGeometry ModifyRadius( ConnectiveGeometry geometry, GeometrySection cylindricalSection, double radius )
Parameters
- geometry
- Type: Tekla.Structures.ModelConnectiveGeometry
Reference geometry to modify which contains cylindricalSection. - cylindricalSection
- Type: Tekla.Structures.ModelGeometrySection
The cylindrical geometry section to modify. - radius
- Type: SystemDouble
The new radius for the cylindrical section.
Return Value
Type: ConnectiveGeometryModified ConnectiveGeometry if command succeeded or geometry otherwise.
Exceptions
Exception | Condition |
---|---|
ConnectiveGeometryException | Thrown if could not modify radius. |
See Also